import { Series } from "./Series";
import { Point, Type } from "igniteui-react-core";
import { AnnotationAppearanceMode } from "./AnnotationAppearanceMode";
import { DoubleCollection } from "igniteui-react-core";
import { Frame } from "./Frame";
import { SeriesView } from "./SeriesView";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { NotifyCollectionChangedEventArgs } from "igniteui-react-core";
import { Axis } from "./Axis";
import { Brush } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { Tuple$2 } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class AnnotationLayer extends Series {
    static $t: Type;
    constructor();
    protected cq(): SeriesView;
    qw(a: SeriesView): void;
    protected w9(a: Series): boolean;
    protected w1: AnnotationLayerView;
    xb: boolean;
    xc: boolean;
    zm: Point;
    w6: boolean;
    protected get_ez(): boolean;
    ws: AnnotationAppearanceMode;
    wp: AnnotationAppearanceMode;
    xp: number;
    xe: number;
    wz: AnnotationAppearanceMode;
    wq: AnnotationAppearanceMode;
    w0: AnnotationAppearanceMode;
    wr: AnnotationAppearanceMode;
    xo: number;
    xd: number;
    xq: number;
    xf: number;
    zj: DoubleCollection;
    zd: DoubleCollection;
    zk: DoubleCollection;
    ze: DoubleCollection;
    protected b0(): SeriesHitTestMode;
    protected get_fe(): boolean;
    protected get_isUsableInLegend(): boolean;
    protected q4(a: any, b: string, c: any, d: any): void;
    protected zn: Point;
    private yp;
    private yo;
    private yk;
    private yj;
    protected w7(a: Axis): boolean;
    private yd;
    protected w8(a: Series): boolean;
    private yn;
    protected yf(a: Axis, b: boolean): void;
    protected yg(a: Series, b: boolean): void;
    private ym;
    private yc;
    protected zb(): Brush;
    protected zc(): Brush;
    protected ye(a: NotifyCollectionChangedEventArgs): void;
    protected yh(a: NotifyCollectionChangedEventArgs): void;
    protected w3: Frame;
    protected w2: Frame;
    protected w4: Frame;
    protected sk(a: Rect, b: Rect): void;
    protected sj(a: Rect, b: Rect): void;
    rn(a: boolean): void;
    protected get_eq(): boolean;
    protected yi(a: Frame, b: SeriesView): void;
    protected yl(a: Frame, b: SeriesView): void;
    protected yb(a: Series): Tuple$2<boolean, Point>;
    protected qm(a: Point): void;
    zl: Point;
    hc(a: Rect, b: Rect, c: SeriesView): boolean;
    protected xm(): number;
    protected xl(): number;
    protected xn(): number;
    protected ww(): AnnotationAppearanceMode;
    protected wx(): AnnotationAppearanceMode;
    protected wy(): AnnotationAppearanceMode;
    protected zh(): DoubleCollection;
    protected zi(): DoubleCollection;
    protected wt(): AnnotationAppearanceMode;
    protected wu(): AnnotationAppearanceMode;
    protected wv(): AnnotationAppearanceMode;
    protected xg(): number;
    protected xj(): number;
    protected xi(): number;
    protected xh(): number;
    protected xk(): number;
    protected zf(): DoubleCollection;
    protected zg(): DoubleCollection;
    protected yq(): void;
    protected get_g8(): boolean;
    private w5;
    get xa(): boolean;
    set xa(a: boolean);
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AnnotationLayerView extends SeriesView {
    static $t: Type;
    constructor(a: AnnotationLayer);
    protected b0: AnnotationLayer;
    private b1;
    private b2;
    private b6;
    b3(): void;
    b5(): void;
    b4(): void;
}
